# This file created by conda-build 3.20.4
# meta.yaml template originally from:
# C:\ci\containers\00000qpkk8h\tmp\build\80754af9\rsync-recipes\scikit-image-0.17.2-python_3.7-on-winbuilder, last modified Mon Oct 19 11:45:27 2020
# ------------------------------------------------

package:
    name: scikit-image
    version: 0.17.2
source:
    sha256: bd954c0588f0f7e81d9763dc95e06950e68247d540476e06cb77bcbcd8c2d8b3
    url: https://pypi.io/packages/source/s/scikit-image/scikit-image-0.17.2.tar.gz
build:
    entry_points:
        - skivi = skimage.scripts.skivi:main
    number: '0'
    script:
        - rm -rf skimage/viewer/tests
        - rm -f pyproject.toml
        - C:\\ci\\scikit-image_1603274525957\\_h_env\\python.exe setup.py build_ext
            -j2
        - C:\\ci\\scikit-image_1603274525957\\_h_env\\python.exe setup.py install
            --single-version-externally-managed --record record.txt
    string: py37h1e1f486_0
requirements:
    build:
        - vs2017_win-64 19.16.27032.1 hb4161e2_3
        - vswhere 2.7.1 h21ff451_0
    host:
        - blas 1.0 mkl
        - ca-certificates 2020.10.14 0
        - certifi 2020.6.20 py37_0
        - cython 0.29.21 py37ha925a31_0
        - icc_rt 2019.0.0 h0cc432a_1
        - intel-openmp 2019.4 245
        - mkl 2019.4 245
        - mkl-service 2.3.0 py37hb782905_0
        - mkl_fft 1.0.14 py37h6288b17_0
        - mkl_random 1.0.4 py37h343c172_0
        - numpy 1.16.6 py37h5510c5b_0
        - numpy-base 1.16.6 py37hc3f5095_0
        - openssl 1.1.1h he774522_0
        - pip 20.2.4 py37_0
        - python 3.7.9 h60c2a47_0
        - setuptools 50.3.0 py37h9490d1a_1
        - six 1.15.0 py_0
        - sqlite 3.33.0 h2a8f88b_0
        - vc 14.1 h0510ff6_4
        - vs2015_runtime 14.16.27012 hf0eaf9b_3
        - wheel 0.35.1 py_0
        - wincertstore 0.2 py37_0
        - zlib 1.2.11 h62dcd97_4
    run:
        - cloudpickle >=0.2.1
        - cytoolz >=0.7.3
        - dask-core >=0.15.0
        - imageio >=2.3.0
        - matplotlib-base >=2.0.0
        - networkx >=2.0
        - numpy >=1.16.6,<2.0a0
        - pillow >=4.3.0
        - python >=3.7,<3.8.0a0
        - pywavelets >=0.4.0
        - scipy >=0.19
        - tifffile >=2019.7.26
        - toolz >=0.7.3
        - vc >=14.1,<15.0a0
        - vs2015_runtime >=14.16.27012,<15.0a0
    run_constrained:
        - pooch >=0.5.2
test:
    commands:
        - setx MPLBACKEND "Agg"
        - set "SKIMAGE_TEST_STRICT_WARNINGS=0" & pytest --pyargs skimage -k "not (_not_a_real_test
            or test_uint16)"
    imports:
        - skimage
    requires:
        - pytest
        - pytest-localserver
about:
    description: 'scikit-image is a collection of algorithms for image processing.

        It is available free of charge and free of restriction.

        We pride ourselves on high-quality, peer-reviewed code,

        written by an active community of volunteers.

        '
    home: http://scikit-image.org/
    license: BSD-3-Clause
    license_file: LICENSE.txt
    summary: Image processing in Python.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - emmanuelle
        - hmaarrfk
        - jakirkham
        - jni
        - msarahan
        - ocefpaf
        - soupault
